kmp_taskred_data Struct Reference

## Public Attributes

void * | reduce_shar
size_t | reduce_size
kmp_taskred_flags_t | flags
void * | reduce_priv
void * | reduce_pend
void * | reduce_comb
void * | reduce_init
void * | reduce_fini
void * | reduce_orig

## Detailed Description

Internal struct for reduction data item related info saved by the library.

Definition at line 2109 of file kmp_tasking.cpp.

## Member Data Documentation

## flags

kmp_taskred_flags_t kmp_taskred_data::flags

flags for additional info from compiler

Definition at line 2112 of file kmp_tasking.cpp.

## reduce_comb

void* kmp_taskred_data::reduce_comb

data combiner routine

Definition at line 2116 of file kmp_tasking.cpp.

## reduce_fini

void* kmp_taskred_data::reduce_fini

data finalization routine

Definition at line 2118 of file kmp_tasking.cpp.

## reduce_init

void* kmp_taskred_data::reduce_init

data initialization routine (two parameters)

Definition at line 2117 of file kmp_tasking.cpp.

Referenced by __kmpc_task_reduction_get_th_data().

## reduce_orig

void* kmp_taskred_data::reduce_orig

original item (can be used in UDR initializer)

Definition at line 2119 of file kmp_tasking.cpp.

## reduce_pend

void* kmp_taskred_data::reduce_pend

end of private data for faster comparison op

Definition at line 2114 of file kmp_tasking.cpp.

## reduce_priv

void* kmp_taskred_data::reduce_priv

array of thread specific items

Definition at line 2113 of file kmp_tasking.cpp.

Referenced by __kmpc_task_reduction_get_th_data().

## reduce_shar

void* kmp_taskred_data::reduce_shar

shared between tasks item to reduce into

Definition at line 2110 of file kmp_tasking.cpp.

## reduce_size

size_t kmp_taskred_data::reduce_size

size of data item

Definition at line 2111 of file kmp_tasking.cpp.

The documentation for this struct was generated from the following file:

- kmp_tasking.cpp